<tool id="Convert_Xfm" description="convert xfm files" name="Convert_Xfm" version="1.0">
  <authors>
    <author name="Yaron Caspi" url="www.neuromri.nl" email="y.caspi@umcutrecht.nl"/>
  </authors>
  <command version="1.0" >
    <authors>
      <author name="Mark Jenkinson" url="https://fsl.fmrib.ox.ac.uk/fsl/fslwiki/FLIRT/UserGuide#convert_xfm" />
    </authors>
   <targets>
		<target os="linux" arch="*" bin="convert_xfm">
			<modules>
				<module> fsl/5.0.9  </module>
			</modules>
		</target>	
    </targets>
    <description>
       convert_xfm - convert xfm files
    </description>
  </command>
  <interface>
  	 <inputs>
		<input id="Inverse" name="Matrix to Inverse" datatype="MatFile" cardinality="1" required="false" prefix="-inverse" order="2"/>
		<input id="Concat" name="Matries to concat" datatype="MatFile" cardinality="2" required="false" prefix="-concat" order="2"/>
		<input id="Fixscaleskew" name="Matries to fix skew" datatype="MatFile" cardinality="2" required="false" prefix="-fixscaleskew" order="2"/>
	</inputs>
	<outputs>
		<output id="Converted_Matrix" name="Converted_Matrix" datatype="MatFile" automatic="false" prefix="-omat" cardinality="1" required="true" order="1"/>
	</outputs>
  </interface>
 <help>
	convert_xfm (Version 2.1)
	Tool for manipulating FSL transformation matrices
	Copyright(c) 1999-2007, University of Oxford (Mark Jenkinson)

	Usage: convert_xfm [options] {input-matrix-filename}
	  e.g. convert_xfm -omat {outmat} -inverse {inmat}
		   convert_xfm -omat {outmat_AtoC} -concat {mat_BtoC} {mat_AtoB}

	  Available options are:
			-omat {matrix-filename}            (4x4 ascii format)
			-concat {second-matrix-filename}
			-fixscaleskew {second-matrix-filename}
			-inverse                           (Reference image must be the one originally used)
			-help
 </help> 
</tool>
